package com.tzld.piaoquan.risk.control;

import com.tzld.piaoquan.risk.control.service.impl.QywxUserDataService;
import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.ApplicationContext;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * 启动类
 *
 * @author supeng
 */
@SpringBootApplication
@ServletComponentScan("com.tzld.piaoquan.risk.control")
@MapperScan("com.tzld.piaoquan.risk.control.dao")
@MapperScan(basePackages = {"com.tzld.piaoquan.risk.control.dao.mapper"})
@EnableFeignClients
@EnableEurekaClient
@EnableSwagger2
public class Application {
    private static final Logger LOGGER = LoggerFactory.getLogger(Application.class);

    public static void main(String[] args) {
        ApplicationContext context = SpringApplication.run(Application.class, args);
        LOGGER.info("risk-control SpringBoot Start Success");
//        QywxUserDataService service = context.getBean(QywxUserDataService.class);
//        String json = "{\"json\":\"{\\\"Corpid\\\":1970325203990889,\\\"unionid\\\":\\\"ozynqskybEa2GLhBnMluT2Jt8YUI\\\",\\\"Admin_vid\\\":1688855333403203,\\\"Corp_full_name\\\":\\\"北京一起成行科技有限公司\\\",\\\"acctid\\\":\\\"liulidong2\\\",\\\"english_name\\\":\\\"\\\",\\\"Ownername\\\":\\\"王娟\\\",\\\"nickname\\\":\\\"刘立冬2\\\",\\\"Corp_logo\\\":\\\"https://wework.qpic.cn/wwpic3az/219337_eMSDBIJ_Sr-soGJ_1729763638/0\\\",\\\"create_time\\\":0,\\\"sex\\\":1,\\\"mobile\\\":\\\"18810112376\\\",\\\"scorp_id\\\":\\\"ww2c0a198821e1869f\\\",\\\"avatar\\\":\\\"https://wework.qpic.cn/wwpic3az/89288_v-2hHXqzRZ2JH-R_1747071144/0\\\",\\\"corp_name\\\":\\\"北京一起成行\\\",\\\"Create_time\\\":1656927382,\\\"realname\\\":\\\"刘立冬\\\",\\\"Vid\\\":1688858050719288,\\\"Mail\\\":\\\"\\\",\\\"user_id\\\":1688858050719288,\\\"position\\\":\\\"\\\",\\\"Corp_desc\\\":\\\"\\\",\\\"corp_id\\\":1970325203990889,\\\"Corp_name\\\":\\\"北京一起成行\\\"}\",\"type\":104001,\"uuid\":\"a09c1237a66a2f30868c9e71b0941fac\"}";
//        service.processUserData(json);
//        System.out.println("User data processed successfully.");
    }
}
