package com.tzld.piaoquan.risk.control.controller;

import com.tzld.piaoquan.risk.control.common.annotation.UnAuth;
import com.tzld.piaoquan.risk.control.common.base.CommonResponse;
import com.tzld.piaoquan.risk.control.config.QywxConfig;
import com.tzld.piaoquan.risk.control.model.qywx.QwLoginCheckCode;
import com.tzld.piaoquan.risk.control.model.qywx.RiskUserDelResult;
import com.tzld.piaoquan.risk.control.model.qywx.RiskUserInfo;
import com.tzld.piaoquan.risk.control.service.impl.RiskUserHandleService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/qw")
@Slf4j
public class ReceiveRiskInfoController {
    @Autowired
    private QywxConfig qywxConfig; // 注入配置类
    @Autowired
    private RiskUserHandleService riskUserHandleService;

    /**
     * 接收风控用户信息
     * @param userInfo 风控用户信息
     * @return CommonResponse
     */
    @UnAuth
    @PostMapping("/push/riskuser")
    public CommonResponse<RiskUserDelResult> receiveRiskUser(@RequestBody RiskUserInfo userInfo) {
        log.info("receiveRiskUser, userInfo: {}", userInfo);
        int ret =  riskUserHandleService.handleRiskUser(userInfo);
        // 创建数据对象并设置 is_del 值
        RiskUserDelResult result = new RiskUserDelResult();
        result.setIsDel(ret); // 成功为1，失败为0
        return CommonResponse.success(result);
    }
}
